> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# createTask

> Create a new task in a project



## OpenAPI

````yaml POST /task/{projectId}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /task/{projectId}:
    post:
      tags:
        - Tasks
      summary: Create Task
      description: Create a new task in a project
      operationId: createTask
      parameters:
        - in: path
          name: projectId
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                description:
                  type: string
                startDate:
                  type: string
                dueDate:
                  type: string
                priority:
                  enum:
                    - no-priority
                    - low
                    - medium
                    - high
                    - urgent
                  type: string
                status:
                  type: string
                userId:
                  type: string
              required:
                - title
                - description
                - priority
                - status
      responses:
        '200':
          description: Task created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  projectId:
                    type: string
                  position:
                    type: number
                    nullable: true
                  number:
                    type: number
                    nullable: true
                  userId:
                    type: string
                    nullable: true
                  title:
                    type: string
                  description:
                    type: string
                    nullable: true
                  status:
                    type: string
                  priority:
                    enum:
                      - no-priority
                      - low
                      - medium
                      - high
                      - urgent
                    type: string
                  startDate:
                    type: string
                    format: date-time
                  dueDate:
                    type: string
                    format: date-time
                  createdAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - projectId
                  - position
                  - number
                  - userId
                  - title
                  - description
                  - status
                  - priority
                  - createdAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````